Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.go.display.style
Class XAnchor

    Object
      CodeList<E>
          SimpleEnumerationType<XAnchor>
              XAnchor

All Implemented Interfaces:
  Serializable, Comparable<XAnchor>

    public class XAnchor

extends SimpleEnumerationType<XAnchor>

Defines the various XAnchor types.

See Also:
  Serialized Form
TODO:
  Localize descriptions.

Field Summary
`static XAnchor` | `CENTER` Align the center of the field.
`static XAnchor` | `LEFT` Align to the left of the field.
`static XAnchor` | `RIGHT` Align to the right of the field.

Constructor Summary
`protected` | `XAnchor(String name, String description)` Construct a new XAnchor with the given name and description.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static XAnchor[]` | `values()` Returns the list of `XAnchor`s.

Methods inherited from class SimpleEnumerationType
`getDescription, getIcon, getNullIcon, loadIconResource, toString`

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LEFT

    public static final XAnchor LEFT

  Align to the left of the field.

### CENTER

    public static final XAnchor CENTER

  Align the center of the field.

### RIGHT

    public static final XAnchor RIGHT

  Align to the right of the field.

Constructor Detail

### XAnchor

    protected XAnchor(String name,
                      String description)

  Construct a new XAnchor with the given name and description. This constructor should only be used to make the static constants in this class or by a provider subclasses to create implementation specific styles that can be accessed by `DisplayCapabilities.getSupportedXAnchors()`.

  Parameters:
    `name` - a String defining the name of the Arrow pattern.
    `description` - a String describing the pattern.

Method Detail

### values

    public static XAnchor[] values()

  Returns the list of `XAnchor`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<XAnchor>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.